package com.jyc.threegames.bean.result;

import java.util.List;

public class ResLogin {
    public String token;
    public LoginInfo info;

    public boolean isAdmin(){
        return info != null && info.haveRole(LoginInfo.ADMIN);
    }

    public class LoginInfo{
        public static final String ADMIN = "admin";

        public String password;
        public long id;
        public int type;
        public String nickname;
        public String avatar;
        public String alias;
        public boolean enabled;
        public String username;
        public boolean accountNonLocked;
        public boolean accountNonExpired;
        public boolean credentialsNonExpired;
        public List<String> roles;

        public boolean haveRole(String role){
            if (roles != null)
                for (String item : roles)
                    if (item != null && item.equals(role))
                        return true;
            return false;
        }
    }


}
