package com.jyc.threegames.net.api;

import com.jyc.threegames.bean.request.ReqLogin;
import com.jyc.threegames.bean.result.ResLogin;
import com.jyc.threegames.net.ResData;

import io.reactivex.Observable;
import retrofit2.http.Body;
import retrofit2.http.Field;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.POST;

public interface LoginService {

    @FormUrlEncoded
    @POST("login")
    Observable<ResData<ResLogin>> login(@Field("username") String userName, @Field("password") String passWord);
}
