package com.jyc.threegames.activity;

import android.content.Intent;
import android.os.Bundle;

import com.jyc.threegames.R;
import com.jyc.threegames.activity.base.BaseActivity;
import com.jyc.threegames.bean.GameInfo;

import butterknife.OnClick;

public class AdminActivity extends BaseActivity {

    @Override
    protected void init(Bundle instance) {
        super.init(instance);
    }

    @Override
    protected int getRootLayout() {
        return R.layout.activity_admin;
    }

    @Override
    protected String getPageTitle() {
        return "歡迎使用";
    }

    @OnClick(R.id.gameA)
    public void goToGameA(){
        GameActivity.LAUNCH_GAME_ONE(this, GameInfo.EXERCISE(GameInfo.VERSION_GAME_ONE));
    }

    @OnClick(R.id.gameB)
    public void goToGameB(){
        GameActivity.LAUNCH_GAME_ONE(this, GameInfo.EXERCISE(GameInfo.VERSION_GAME_TWO));
    }

    @OnClick(R.id.gameC)
    public void goToGameC(){
        GameActivity.LAUNCH_GAME_ONE(this, GameInfo.EXERCISE(GameInfo.VERSION_GAME_THREE));
    }

    @OnClick(R.id.scale)
    public void goToScale(){
        startActivity(new Intent(this, ScaleActivity.class));
    }
}