package com.jyc.threegames.activity;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;

import com.jyc.threegames.R;
import com.jyc.threegames.activity.base.BaseActivity;
import com.jyc.threegames.controller.LoginController;

public class WelcomeActivity extends BaseActivity {

    @Override
    protected void init(Bundle instance) {
        super.init(instance);

        new Handler(Looper.getMainLooper()).postDelayed(new Runnable() {
            @Override
            public void run() {
                if (LoginController.getInstance().restoreLoginInfoFromSDCardFile()){
                    startActivity(new Intent(WelcomeActivity.this, LoginController.getInstance().isCurrentUserAdmin() ? AdminActivity.class : NormalUserActivity.class));
                }else
                    startActivity(new Intent(WelcomeActivity.this, LoginActivity.class));
                finish();
            }
        }, 3000);
    }

    @Override
    protected int getRootLayout() {
        return R.layout.activity_welcome;
    }
}