package com.jyc.threegames.net;

public class ResData<T> {
    public static final int CODE_SUCCESS = 200;
    public static final int CODE_ERROR = 400;
    public static final int CODE_TOKEN_EXPIRED = 401;

    public int code;
    public T data;
    public String message;

    public ResData() {

    }

    public ResData(int code, T data, String message) {
        this.code = code;
        this.data = data;
        this.message = message;
    }

    public boolean isRequestSuccess(){
        return code == CODE_SUCCESS;
    }

    public boolean isTokenExpired(){
        return code == CODE_TOKEN_EXPIRED;
    }
}
